function [ deleted_rxns ] = CalcRxnLoss( input_model, genesDeleted)
% For the deletion of a given gene or set of genes, figure out which
% reactions to delete, if any, in input_model

    involved_rxns = find(input_model.rxnGeneMat(:,genesDeleted));

    deleted_rxns = zeros(1,length(input_model.rxns));

    for i = 1:length(involved_rxns)
       rule = input_model.grRules{involved_rxns(i)};
       [boolGenes, boolLogic] = parseBoolean(rule);

       x = ones(1,length(boolGenes));
       for (j = 1:length(boolGenes))
           x(j) = 1 - ismember(boolGenes(j), genesDeleted);
       end
       if (~isempty(boolLogic))
           deleted_rxns(involved_rxns(i)) = 1 - eval(boolLogic);
       end
    end

end

