% This function reads list of mets, metNames, EX rates, and molarmass in input file
% as to get the initial "concentration" of diet.

function  media = ReadMediumMetsConcen(input_file)
        % Read medium file
        fid = fopen(input_file);
        m=1; max_m = 0;
        while ~feof(fid)
            tline = fgetl(fid);
            if ~isempty(tline)
                C = textscan(tline,'%s%s%f %f', 'delimiter', ',');
                media.mets{m} = C{1}{1};
                media.metNames{m} = C{2}{1};
                media.concentrations(m) = double(C{3});
                media.MolarMass(m) = double(C{4});
                m = m + 1    ;
            end
        end
        fclose(fid);


        media.mets = media.mets';
        media.metNames = media.metNames';
        media.concentrations = media.concentrations';
        media.MolarMass = media.MolarMass';
end